<?php
//default feed

$xml_source = "http://www.nytimes.com/services/xml/rss/nyt/GlobalHome.xml";



if ( isset($_GET['xml_source']) && !empty($_GET['xml_source']) ){

	$xml_source = $_GET['xml_source'];

}
?>

<!DOCTYPE HTML>
<html>
<head>
<meta charset="utf-8">
<title>Meztura RSS Ticker</title>

<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"></script>
<script src="lib/mezRssTicker.js" type="text/javascript"></script>
<script src="lib/cssAnimate.js" type="text/javascript"></script>


<?PHP 
if ( isset($_GET['css_source']) ){

	echo "<link href='".$_GET['css_source']."' rel='stylesheet' type='text/css' />";   

} else {
?>

	<link href='default.css' rel='stylesheet' type='text/css' />

<?PHP	
}
?>


<script type="text/javascript">

$(document).ready(function()
{
	$("#container").mezRssTicker({travelocity: 0.07, dataSource: "get_rss.php?xml_source=<?PHP echo $xml_source;?>"});	
});	

</script>

</head>

<body>

	<div id="main_wrapper">

		<div id="container"></div>

	</div>

</body>
</html>
